unit Unit1;

interface

uses
  Windows, SysUtils, Classes, Forms, StdCtrls, Controls, Graphics,
  MCoPRotatableImage2, ShellApi, ExtCtrls, Dialogs, ExtDlgs;

type
  TForm1 = class(TForm)
    CheckBox5: TCheckBox;
    CheckBox4: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox2: TCheckBox;
    Edit1: TEdit;
    Label1: TLabel;
    RotatableImage1: TRotatableImage;
    RotatableImage2: TRotatableImage;
    Label2: TLabel;
    Timer1: TTimer;
    Button1: TButton;
    OpenPictureDialog1: TOpenPictureDialog;
    Button2: TButton;
    Timer2: TTimer;
    CheckBox1: TCheckBox;
    ColorBox1: TColorBox;
    Label4: TLabel;
    procedure CheckBox2Click(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure RotatableImage2Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure CheckBox5Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure RotatableImage1CustomMapping(Sender: TObject; AU, AV: Word;
      var AX, AY: Single);
    procedure Button2Click(Sender: TObject);
    procedure Timer2Timer(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure ColorBox1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
DoubleBuffered:=True;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
RotatableImage1.CustomMapping:=CheckBox2.Checked;
CheckBox5.Enabled:=not CheckBox2.Checked;
CheckBox4.Enabled:=not CheckBox2.Checked;
CheckBox3.Enabled:=not CheckBox2.Checked;
if Timer2.Enabled then Button2Click(Self);
end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
RotatableImage1.RotationAngle:=StrToFloatDef(Edit1.Text,RotatableImage1.RotationAngle);
end;

procedure TForm1.RotatableImage2Click(Sender: TObject);
begin
ShellExecute(Handle,'Open','http://www.dihav.com/','','',SW_SHOW);
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
RotatableImage2.RotationAngle:=RotatableImage2.RotationAngle+5;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
if OpenPictureDialog1.Execute then
  RotatableImage1.Picture.LoadFromFile(OpenPictureDialog1.FileName);
end;

procedure TForm1.CheckBox5Click(Sender: TObject);
begin
RotatableImage1.Center:=CheckBox5.Checked;
end;

procedure TForm1.CheckBox4Click(Sender: TObject);
begin
RotatableImage1.Stretch:=CheckBox4.Checked;
end;

procedure TForm1.CheckBox3Click(Sender: TObject);
begin
RotatableImage1.Proportional:=CheckBox3.Checked;
end;

procedure TForm1.RotatableImage1CustomMapping(Sender: TObject; AU,
  AV: Word; var AX, AY: Single);
begin
AX:=AU/(5*AV/RotatableImage1.Height+1);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
Timer2.Enabled:=not Timer2.Enabled;
Edit1.Enabled:=not Timer2.Enabled;
Label1.Enabled:=not Timer2.Enabled;
end;

procedure TForm1.Timer2Timer(Sender: TObject);
begin
RotatableImage1.RotationAngle:=RotatableImage1.RotationAngle+5;
Edit1.Text:=FloatToStr(RotatableImage1.RotationAngle);
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
RotatableImage1.Transparent:=CheckBox1.Checked;
end;

procedure TForm1.ColorBox1Change(Sender: TObject);
begin
RotatableImage1.BlendColor:=ColorBox1.Selected;
end;

end.
